function onBegin()
	disableMovement()
	disableRetry()
	wait(0.1)
	player.ForceCameraUpdate = true
	setFlag("introFall",true)
	wait(4.5)
	setFlag("blackout",true)
	wait(1.75)
	playSound("event:/CC/CC_SubnauticaInt/PowerDown")
	wait(0.25)
	onEnd()
	teleportTo(-3100, 128, "S0", "Transition")
end

function onEnd(room,wasSkipped)
	enableMovement()
	enableRetry()
	if (wasSkipped) then
		teleportTo(-3000,128,"S1")
	else
		setFlag("didntSkipIntro",true)
	end
end